<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>GET</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
    <h1 class="azul">getElementByTagName:</h1>

    <h1>otro titulo</h1>

    <div class="azul"></div>

    <div class="azul"></div>
    

    <p class="azul">Lorem ipsum dolor sit amet consectetur adipisicing elit. Ducimus esse adipisci expedita nam? Rem maxime obcaecati, delectus natus iusto totam laborum sit! Nesciunt quos pariatur, numquam beatae sit nam ea.</p>

    <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Dolor quia ipsam harum, unde omnis qui veritatis at animi quo et enim nihil eius eveniet rem iste. Deserunt consectetur facere distinctio.</p>

    <p class="azul">Lorem ipsum dolor sit amet consectetur adipisicing elit. Maiores at earum natus obcaecati, exercitationem debitis ducimus voluptates voluptatibus facilis unde eaque doloribus et ut tempora, error quas velit aspernatur perferendis.</p>
    
   
    <script>
        let parrafos = document.getElementsByTagName('p');
        const cabeceros = document.getElementsByTagName('h1');
        let parrafos_2 = document.getElementsByClassName('azul');

        console.log(`Valor inicial de el primer titulo: ${cabeceros[0].innerHTML}.`);
        console.log(`Valor inicial de el segundo titulo: ${cabeceros[1].innerHTML}.`);
        console.log(`Elementos con la clase azul: ${document.getElementsByClassName('azul').length}`);
        console.log(`Elementos tipo p: ${document.getElementsByTagName('p').length}`);
        console.log(`Elementos tipo p y con clase azul: ${document.querySelectorAll('p.azul').length}`);
        console.log(`Elementos tipo div y con clase azul: ${document.querySelectorAll('div.azul').length}`);

        setTimeout(()=>{
            for (let index = 0; index < parrafos.length; index++) {
                parrafos[index].innerHTML='Acá modificamos todos los parrafos del html, con el metodo getElementsByTagName.';
                
                
            }
            cabeceros[0].innerHTML = 'Practicando';
            
            cabeceros[1].innerHTML = 'Practicando';
            
            
            
        },7000)

        setTimeout(()=>{
            for (let index = 0; index < parrafos_2.length; index++) {
                parrafos_2[index].innerHTML='Modificacion con metodo getElementsByclassName.';
                
                
            }
            cabeceros[0].innerHTML = 'Practicando';
            
            cabeceros[1].innerHTML = 'Practicando';
            

        
        },3000)
        
    </script>
    
</body>
</html>